-----------------------------------------------------------------------------
-- Site 3
-----------------------------------------------------------------------------
-- PostStage

function PostStage()
    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera");
         
    end;
    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\Site3\\Site3.ini", "","","");
    EntGame.CreatePlayerEntities();
    
	-- do any setup that is specifically for testing.
	if (EntGame.TestingLevels()) then
		Testing();
		end;
		
    EntGame.SetGlobalDustColorInitial(1.0, 0.61, .58, .45);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.61, .58, .45);

    EntGame.SetStageTimer(180);
    
	EntGame.LoadAnimal(AID_BLACK_TAIL_DEER_M);
	EntGame.LoadAnimal(AID_COYOTE);	
	EntGame.LoadAnimal(AID_ELK_M);
	EntGame.LoadAnimal(AID_ELK_F);
	EntGame.LoadAnimal(AID_GOOSE);

	-- setup tournament logic    
    EntGame.StagePrepare();           

    -- show the scene from the intro camera
    EntGame.BindCameraToEntity("IntroCamera");
    
    -- tell the game the world has loaded
    Entity.GameEventPre(Game.GetRootEntity(), GE_WORLDLOADED, 0);	

    -- wait until the intro dialog is dispatched
    while (EntGame.GetFlag(GF_READYTOSTART) == false) do
        Script.WaitFrame(1);
        end;

    -- do a fade out        
    FadeOut();
    Script.WaitSec(0.5);       

    end;
    
-----------------------------------------------------------------------------
function Intro()

    -- start the music while the scene is black
    EntGame.PlaySong("Music\\KickinTrash.ogg");
    
    -- set up any animals we want to show off
    elk	   = EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path1", WPT_0, ST_GRAZING, 2+5, 0, 0, .2);
    coyote = EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path2", WPT_0, ST_WPT_WALK, 3+5, 0, 0, .2);
    deer   = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path4", WPT_0, ST_GRAZING, 4+5, 0, 0, .2);    
    Animal.FaceEntity(deer, "PineTreeShort1DenseB25");      
    Animal.FaceEntity(elk, "PineTreeShort1DenseB03");   
    
    -- set the camera to a cool spot, then fade in
    EntGame.BindCameraToEntity("CountdownCamera3");
    FadeIn();    
    Script.WaitSec(1.0); 
    
    -- "3"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_3, 0);            
    Script.WaitSec(1.0);
    
    -- "2"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_2, 0);   
    EntGame.BindCameraToEntity("CountdownCamera2");                 
    Script.WaitSec(1.0);
    
    -- "1"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_1, 0);   
    EntGame.BindCameraToEntity("CountdownCamera1");                
    Script.WaitSec(1.0);
    
    -- "HUNT!"
	EntGame.DestroyAllAnimals()
    entCamera = Entity.FindName(entRoot, "MainCamera");    
	Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 0.0, 0.01);        
    EntGame.BindCameraToEntity(entCamera);        
    EntGame.BindInputToEntity("Player1");

    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_HUNT, 0);     
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_START, 0);
	end;
		
-----------------------------------------------------------------------------
-- Use this function for overriding various game parameters (i.e. weapon availability, etc.)
function Testing()
    EntGame.SetPlayerWeapon(0, WS_PISTOL, 	    WID_PISTOL_1);
	EntGame.SetPlayerWeapon(0, WS_SINGLE_RIFLE, WID_SINGLE_RIFLE_1);
    EntGame.SetPlayerWeapon(0, WS_SHOTGUN,	    WID_SHOTGUN_1);	
	EntGame.SetPlayerWeapon(0, WS_AUTO_RIFLE, 	WID_AUTO_RIFLE_1);	

	EntGame.ResetWeaponIcons();
	end;
	
-----------------------------------------------------------------------------

function Part1()

    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path1", 0, ST_WPT_RUN, 0, 0, 0, 1); 
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path2", 0, ST_WPT_RUN, 0, -2.5, 2.5, 1);
    a=EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path3", 0, ST_WPT_WALK, 15, 0, 0, 1);    
	Animal.EnableFear(a, false);		
	a=EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path1", 0, ST_WPT_WALK, 15, 0, 0, 1);    
	Animal.EnableFear(a, false);	
	      
	Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path2", 0, ST_WPT_RUN, 0, 2, -2, .5);
    Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path1", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(.5);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path2", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(5);
	
	--POWERUP
    Coyote = EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path2", 0, ST_WPT_RUN, 20, 0, 0, 1);
	EntGame.CreateAnimalPowerUp(Coyote, PID_WILEY_VISION_50);
	
    Script.WaitSec(1.5); 	
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path1", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(1.5); 	
    EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path2", 0, ST_WPT_RUN, 20, 0, 0, 1);
	Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path2", 0, ST_WPT_RUN, 0, -2, 2, 1);
	EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path1", 0, ST_WPT_RUN, 0, 0, 0, 1.2); 
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path1", 0, ST_WPT_RUN, 0, 0, 0, .8); 
    Script.WaitSec(2.5);    
	
    c=EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path4", 0, ST_WPT_WALK, 0, 0, 0, 1.4);
	
    d=EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path5", 0, ST_WPT_WALK, 0, 0, 0, 1.0);
	Entity.SetName(d, "Elk2");
    Elk = EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path6", 0, ST_GRAZING, 8, 0, 0, 1);
	        	    	
    Camera.SetSpeed(entCamera, 3.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptCC");
    
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path19", 0, 0, 0, 0, 1.0);
    Script.WaitSec(1); 	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path19", 0, 6, 2.5, 0, 1.3);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path18", 0, .5, 0, 4, 1.2);  
	EntGame.SpawnBirdOnPath(AID_GOOSE, "Path18", 0, 0, 1.7, 0, .8);
	Script.WaitSec(2);
	
	--POWERUP
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "Path18", 0, 0, 4.5, 0, 1.0);
	EntGame.CreateAnimalPowerUp(Goose, PID_4X_MAGAZINE);
	
    Script.WaitSec(2);	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path18", 0, .5, 1, 4, 1.2);  
	EntGame.SpawnBirdOnPath(AID_GOOSE, "Path18", 0, 0, 3, 0, .8);
	EntGame.SpawnBirdOnPath(AID_GOOSE, "Path19", 0, 0, 0, 0, 1.0);
	Script.WaitSec(2);
	EntGame.SpawnBirdOnPath(AID_GOOSE, "Path18", 0, 0, 4.5, 0, 1.0);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path19", 0, 0, 0, 0, 1.0);	
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path19", 0, 6, 2.5, 0, 1.3);	
    Script.WaitSec(3.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path18", 0, .5, 1, 4, 1.2);  
	EntGame.SpawnBirdOnPath(AID_GOOSE, "Path18", 0, 0, 3, 0, .8);
	             	    		  
    end;    

-----------------------------------------------------------------------------

function Part2()

	--Camera.JumpToWaypoint(entCamera, "CamWptCC");
    --Camera.SetSpeed(entCamera, 0.0, 0.007); 
	
	Camera.SetSpeed(entCamera, 2.0, 0.1); 
	Camera.StopAtWaypoint(entCamera, "CamWptEE");
	
    a = EntGame.SpawnAnimalOnPath(AID_ELK_F, "LongPath1", 0, ST_WPT_WALK, 0, 0, 0, 1.2);
	Entity.SetName(a, "AnimalA");
	
 	b = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "LongPath1", 1, ST_WPT_WALK, 0, 0, 0, 1); 
 	Entity.SetName(b, "AnimalB");
    
    Script.WaitSec(4);	

	Script.WaitSec(1.5);

	Script.WaitSec(.5);
				
    -- pan left and shoot some more
    Camera.SetPanOffset(entCamera, -90, 1);
         
    c = EntGame.SpawnAnimalOnPath(AID_ELK_M, "LongPath1", 0, ST_WPT_WALK, 0, 0, 0, 1.0);
	Entity.SetName(c, "AnimalC");
    d = EntGame.SpawnAnimalOnPath(AID_ELK_M, "LongPath1", 0, ST_WPT_WALK, 0, -4, 4, 1.0);
	Entity.SetName(d, "AnimalD");
	e = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "LongPath1", 1, ST_WPT_WALK, 0, 0, 0, 1);   
	Entity.SetName(e, "AnimalE");
	
 	Script.WaitSec(3);
    	
	Gone("Elk1");
	Gone("Elk2");
	
	Script.WaitSec(4);	
		
    Camera.SetSpeed(entCamera, 3.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptGG");
    Camera.SetPanOffset(entCamera, 0, 1.5);
    Camera.SetTiltOffset(entCamera, -15, 1.5);
    
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path4", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path5", 0, ST_WPT_RUN, 0, 0, 0, .8); 
          
	--POWERUP
    Coyote = EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path4", 0, ST_WPT_RUN, 0, 2, 0, 1);
	Animal.FaceEntity(Coyote, entCamera); 
	EntGame.CreateAnimalPowerUp(Coyote, PID_WILEY_VISION_50);
	
    Script.WaitSec(3);
	
	Gone("AnimalA");
	Gone("AnimalB");
	Gone("AnimalC");
	Gone("AnimalD");
	Gone("AnimalE");
		
    EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path5", 0, ST_WPT_RUN, 0, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "LongerPath1", 0, ST_WPT_WALK, 15, 0, 0, 1);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_ELK_F, "LongerPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path12", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Script.WaitSec(2.5);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path7", 0, ST_WPT_RUN, 0, -4, 0, 1);
	Script.WaitSec(1);
	
	--POWERUP
	Powerup = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path7", 0, ST_WPT_RUN, 0, 0, 0, 1);	
	EntGame.CreateAnimalPowerUp(Powerup, PID_2X_RELOAD_RATE);
	
    a = EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path6", 0, ST_WPT_RUN, 0, 2, 0, 1.0);
    Animal.FaceEntity(a, entCamera);
	
	Camera.SetTiltOffset(entCamera, 0, 1.5);  
	
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "LongerPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.7);
    a=EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path12", 0, ST_WPT_WALK, 0, 0, 0, 1);
    Animal.EnableFear(a, false);
    Entity.SetName(a, "Elk4");
    
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "LongerPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    EntGame.SpawnAnimalOnPath(AID_ELK_F, "Path12", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Script.WaitSec(4.0) 
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "LongPath2", 0, ST_WPT_RUN, 0, 0, 0, 1.2); 
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path12", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_COYOTE, "LongerPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.5); 	
	Script.WaitSec(1.5);	
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path6", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Script.WaitSec(6);
    Run("Elk4");
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path14", 0, ST_WPT_WALK, 15, 0, 0, 1.2);
	Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_COYOTE, "LongPath2", 0, ST_WPT_RUN, 0, 0, 0, 2);
    EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "LongPath2", 0, ST_WPT_RUN, 0, 0, 0, 1);   
    Run("Elk3");	
	Script.WaitSec(3); 
	
    Camera.SetSpeed(entCamera, 1.5, 0.1); 
	Camera.StopAtWaypoint(entCamera, "CamWptHH");
      
    Script.WaitSec(5); 
    	
	a = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path17", 0, ST_WPT_WALK, 5, 0, 10, 1);	
	Animal.EnableFear(a, false);
	Entity.SetName(a, "Deer1");	
	b = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path13", 0, ST_WPT_WALK, 7, 0, 10, 1);	
	Animal.EnableFear(b, false);
	Entity.SetName(b, "Deer2");	
	c = EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path13", 0, ST_WPT_WALK, 0, -1, 0, 1);
	Animal.EnableFear(c, false);
	Entity.SetName(c, "Elk6");
    d = EntGame.SpawnAnimalOnPath(AID_ELK_F, "Path17", 0, ST_WPT_WALK, 0, 1, 3, 1);
    Animal.EnableFear(d, false);
    Entity.SetName(d, "Elk5");
    e = EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path17", 0, ST_WPT_WALK, 0, -2, 3, 1);
    Animal.EnableFear(e, false);
    Entity.SetName(e, "ElkA1");
    f = EntGame.SpawnAnimalOnPath(AID_ELK_F, "Path13", 0, ST_WPT_WALK, 0, 2, 4, 1);
    Animal.EnableFear(f, false);
    Entity.SetName(f, "ElkA2");
    
    Script.WaitSec(2);
    
    -- PAN RIGHT
    Camera.SetPanOffset(entCamera, 95, 1.5);     	
    Script.WaitSec(8);
    
    -- PAN LEFT 
    Camera.SetPanOffset(entCamera, 0, 1.0);   
	
	--POWERUP
	Elk = EntGame.SpawnAnimalOnPath(AID_ELK_M, "LongerPath12", 0, ST_GRAZING, 3, 0, 0, 1);
	Animal.FaceEntity(Elk, entCamera); 
	EntGame.CreateAnimalPowerUp(Elk, PID_WILEY_VISION_50);
	
	
    Gone("Deer1");  
	Gone("Deer2"); 	
		
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "LongPath3", 0, ST_WPT_RUN, 0, -6, 0, 1.4);
    Script.WaitSec(3);
 	EntGame.SpawnAnimalOnPath(AID_ELK_F, "LongPath3", 0, ST_WPT_RUN, 0, -3.5, 0, 1.8);
 	Script.WaitSec(1.5);
	Gone("ElkA2"); 
	Gone("Elk6");
    Gone("Elk5");  
    Gone("ElkA1"); 	
		
 	EntGame.SpawnAnimalOnPath(AID_ELK_M, "LongPath3", 0, ST_WPT_RUN, 0, -6, 0, 1.3);
	a=EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path15", 0, ST_WPT_WALK, 0, 0, 0, 1.2);
	Entity.SetName(a, "Elk7"); 	
 	Script.WaitSec(1.0);
 	EntGame.SpawnAnimalOnPath(AID_ELK_F, "LongPath3", 0, ST_WPT_RUN, 0, -2, 0, 1.5);   
    Script.WaitSec(2.5); --SHOOT TIME   
                 	    		  
    end;    

-----------------------------------------------------------------------------

function Part3()
  
	--Camera.JumpToWaypoint(entCamera, "CamWptHH");
    --Camera.SetSpeed(entCamera, 0.0, 0.007);
	
	Camera.SetSpeed(entCamera, 1.5, 0.1); 
	Camera.StopAtWaypoint(entCamera, "CamWptII");

	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path13", 0, ST_WPT_RUN, 0, 0, 0, 1);	
		
	a=EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path16", 0, ST_WPT_WALK, 0, 0, 0, 1.5);
	Animal.EnableFear(a, false);
	Entity.SetName(a, "Elk8");
	   
    Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_ELK_F, "Path13", 0, ST_WPT_RUN, 0, 0, 4, 1);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path13", 0, ST_WPT_RUN, 0, 0, 2, 1);	
	Script.WaitSec(3);
	
    Run("Elk7");	
	EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path13", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path13", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(5);
	EntGame.SpawnAnimalOnPath(AID_ELK_F, "Path13", 0, ST_WPT_RUN, 0, 0, .5, 1);
	Script.WaitSec(1.5);
	
	--POWERUP
	Elk = EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path13", 0, ST_WPT_RUN, 0, 0, -.5, 1);
	EntGame.CreateAnimalPowerUp(Elk, PID_1_5X_SCORE);
	
	Script.WaitSec(3.5);
			    	
    Run("Elk8");
    Script.WaitSec(5); --SHOOT TIME
    
    --Tilt Upward
    Camera.SetTiltOffset(entCamera, 45, 1.5);
    
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, 0, 3, 0, .1);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, 4.5, 4, 4.5, .2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, -4.5, 3.5, -4.5, .1);
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, 0, 3, 0, .1);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, 3.5, 3, 3.5, .2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, -3.5, 3, -3.5, .1);
    Script.WaitSec(2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, 0, 3, 0, .1);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, 4.5, 4, 4.5, .2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, -4.5, 3, -4.5, .1);
    Script.WaitSec(2.0);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, 0, 4, 0, .1);  
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, 3.5, 3, 3.5, .2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path20", 0, -3.5, 3, -3.5, .1);      
    Script.WaitSec(4);
    	
	end;    

-----------------------------------------------------------------------------

function Part4()
  
	--Camera.JumpToWaypoint(entCamera, "CamWptII");
    --Camera.SetSpeed(entCamera, 0.0, 0.007);	
		
    Camera.SetTiltOffset(entCamera, 0, 1.0);	
	
    Camera.StopAtWaypoint(entCamera, "CamWptLL");
    Camera.SetSpeed(entCamera, 2.0, 0.1); 
	   
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "SHORTPATH02", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_ELK_M, "SHORTPATH02", 0, ST_WPT_RUN, 0, 0, 3, 1);
	Script.WaitSec(1);	
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "SHORTPATH01", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_ELK_F, "SHORTPATH01", 0, ST_WPT_RUN, 0, 0, -3, 1);
	Script.WaitSec(1.5);
	EntGame.SpawnBirdOnPath(AID_GOOSE, "SHORTPATH05", 0, 0, 1, 0, .5);
	EntGame.SpawnAnimalOnPath(AID_COYOTE, "SHORTPATH03", 0, ST_WPT_RUN, 0, 0, 2, 2);
	Script.WaitSec(.5);
	EntGame.SpawnBirdOnPath(AID_GOOSE, "SHORTPATH05", 0, 0, 0, 0, .5);
	Script.WaitSec(1);
	EntGame.SpawnBirdOnPath(AID_GOOSE, "SHORTPATH05", 0, 0, -2, 0, .5);
	
	--POWERUP
	Elk = EntGame.SpawnAnimalOnPath(AID_ELK_M, "SHORTPATH04", 0, ST_WPT_RUN, 0, 0, 0, .8);
	EntGame.CreateAnimalPowerUp(Elk, PID_2X_RELOAD_RATE);
	
	Script.WaitSec(.5);
	EntGame.SpawnBirdOnPath(AID_GOOSE, "SHORTPATH05", 0, 0, 1.5, 0, .5);
	EntGame.SpawnAnimalOnPath(AID_ELK_F, "SHORTPATH04", 0, ST_WPT_RUN, 0, 2, 0, .8);
	Script.WaitSec(1);
	EntGame.SpawnBirdOnPath(AID_GOOSE, "SHORTPATH05", 0, 0, -1, 0, .5);
	EntGame.SpawnAnimalOnPath(AID_ELK_M, "SHORTPATH04", 0, ST_WPT_RUN, 0, 2, 0, .8);
	Script.WaitSec(1);	
	EntGame.SpawnBirdOnPath(AID_GOOSE, "SHORTPATH05", 0, 0, 0, 0, .5);
	EntGame.SpawnAnimalOnPath(AID_ELK_M, "SHORTPATH04", 0, ST_WPT_RUN, 0, -2, -4, .8);
	Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path23", 0, ST_WPT_RUN, 0, 0, 0, 2);
	Script.WaitSec(2);
	EntGame.SpawnAnimalOnPath(AID_COYOTE, "Path23", 0, ST_WPT_RUN, 0, 0, 0, 2);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path23", 0, ST_WPT_RUN, 0, 3, 3, 1);
    Script.WaitSec(5);

	--POWERUP
    Elk = EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path26", 0, ST_WPT_RUN, 0, 0, 0, 1.1);
	EntGame.CreateAnimalPowerUp(Elk, PID_4X_MAGAZINE);
	
    Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "LongPath5", 0, ST_WPT_WALK, 13, 0, 0, 1.5);
	Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_ELK_F, "Path26", 0, ST_WPT_RUN, 0, 0, -5, 1.1);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path26", 0, ST_WPT_RUN, 0, 0, -4, 1.1);
    Script.WaitSec(3);
	EntGame.SpawnAnimalOnPath(AID_COYOTE, "SHORTPATH06", 0, ST_WPT_RUN, 0, 0, 0, 2);
	Script.WaitSec(1);	
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "LongerPath4", 0, ST_WPT_RUN, 0, 0, 0, 1);
	EntGame.SpawnAnimalOnPath(AID_COYOTE, "LongerPath2", 0, ST_WPT_RUN, 0, -2, -2, 2);
	EntGame.SpawnAnimalOnPath(AID_COYOTE, "LongerPath2", 0, ST_WPT_RUN, 0, 0, 0, 2);
	
    Script.WaitSec(1.5);
	
	--POWERUP
	Coyote = EntGame.SpawnAnimalOnPath(AID_COYOTE, "SHORTPATH06", 0, ST_WPT_RUN, 0, 0, 2, 2);
	EntGame.CreateAnimalPowerUp(Coyote, PID_WILEY_VISION_50);
	
    Script.WaitSec(1);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1);

	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path28", 0, ST_WPT_RUN, 0, 0, 0, 1);
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "LongerPath3", 0, ST_WPT_RUN, 0, -2, 0, 1);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_ELK_F, "Path28", 0, ST_WPT_RUN, 0, 0, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_ELK_F, "LongerPath4", 0, ST_WPT_RUN, 0, 2, 0, 1);
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path26", 0, ST_WPT_RUN, 0, 0, -4, 1.1);
    Script.WaitSec(2); 
    EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path26", 0, ST_WPT_RUN, 0, 0, -4, 1.1);
    Script.WaitSec(4.5); 
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path28", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	Script.WaitSec(.5); 
	EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "Path28", 0, ST_WPT_RUN, 0, 0, 2, 1.2);
	
    end;    

-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Intro();
Part1();
Part2();
Part3();
Part4();

 